#!/bin/sh
#========================================================================= 
# KROMSATOR toolchain                                                       
#                                                                            
# This program is free software; you can redistribute it and/or modify       
# it under the terms of the GNU General Public License as published by       
# the Free Software Foundation; either version 2 of the License, or          
# (at your option) any later version.                                        
#                                                                            
# This program is distributed in the hope that it will be useful,            
# but WITHOUT ANY WARRANTY; without even the implied warranty of             
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              
# GNU General Public License for more details.                               
#                                                                            
# Copyright (C) 2011 by Michael Vasilevskyiy 
#=========================================================================

#-------------------------------------------------------------------------
# Setup the environment
#-------------------------------------------------------------------------
#. _env-only.sh


#---------------------------------------------------------------------------------
# build and install expat   
#---------------------------------------------------------------------------------

echo "Start of build:" > 01-temp.txt
date >> 01-temp.txt 

mkdir -p expat-build
cd expat-build

#if [ "$OSTYPE" == "msys" ]
#then
export CFLAGS=-D__USE_MINGW_ACCESS
#fi

../$EXPAT_SRC/configure \
	--prefix=$PREFIX \
	--disable-shared \
	|| { echo "Error configuring expat"; exit 1; }

#--host=i586-mingw32msvc \

$MAKE || { echo "Error building expat"; exit 1; }
$MAKE install || { echo "Error installing expat"; exit 1; }

cd ..

echo "End of build:" >> 01-temp.txt
date >> 01-temp.txt 
mv 01-temp.txt 01-ready.txt


